Skip to content
View as Markdown

PUT Change Funnel Trigger​

PUT
/funnels/{id}/change-trigger

Change the trigger of an existing automation funnel. This resets the funnel's settings and conditions to empty values. Returns an error if the new trigger name is the same as the current one.

Authorizations​

ApplicationPasswords

WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password

Type
API Key (header: Authorization)

Parameters​

Path Parameters

id*

The funnel ID.

Type
integer
Required

Request Body​

application/json
JSON
{
"trigger_name": "string",
"title": "string"
}

Responses​

Trigger changed successfully.

application/json
JSON
{
"message": "string",
"funnel": {
"id": 0,
"title": "string",
"trigger_name": "string",
"status": "string",
"conditions": [
{
}
],
"settings": {
},
"created_by": 0,
"created_at": "string",
"updated_at": "string",
"subscribers_count": 0,
"description": "string",
"labels": [
]
}
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​

Powered by VitePress OpenAPI